Uploaded image for project: 'Fabric'
  1. Fabric
  2. FAB-13746

Generating a platform specific chaincode docker build

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Medium
    • Resolution: Invalid: Works as Expected
    • None
    • WON'T FIX
    • None
    • None
    • (Please add steps to reproduce)

    Description

      When trying to start a chaincode container upon instantiation, the following error occurs:

      2019-01-17 21:10:09.823 UTC [chaincode.platform] func1 -> ERRO 054 Failed to generate platform-specific docker build: Failed to pull hyperledger/fabric-ccenv:2.0.0: API error (404): manifest for hyperledger/fabric-ccenv:2.0.0 not found
      

      It should be good enough to look for the "latest" version of the env image and not the release version. The same is true for javaenv and nodeenv.

      Attachments

        Activity

          People

            Unassigned Unassigned
            latitiah Latitia Haskins
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: